<?php
/**
 * ATTENTION : ANSI ()
 * [05/03/2005] Version 1.0
 * Ajout des mthodes :
 * - easyOctet
 * 
 * @ignore
 */
/**
 * Mthodes static lies aux nombre
 * @package			com.neolao
 * @subpackage		data
 * @author			neolao <neo@neolao.com>
 * @version			1.0 (05/03/2005)
 * @link			http://resources.neolao.com/php/classes/data/numberutils
 */
class NumberUtils {
	// ----------------------------- CONSTANTES --------------------------------
	
	// ----------------------------- VARIABLES ---------------------------------

	/*=========================== METHODES PRIVEES ===========================*/
	/*========================================================================*/
	
	/*===================== FIN = METHODES PRIVEES = FIN =====================*/
	/*========================================================================*/

	/*============================ GETTER  SETTER ============================*/
	/*========================================================================*/

	/*====================== FIN = GETTER  SETTER = FIN ======================*/
	/*========================================================================*/

	/*========================== METHODES PUBLIQUES ==========================*/
	/*========================================================================*/
	/**
	 * Convertion d'unit pour les octects
	 * @param int $octet Les octets
	 * @param int $coma Le nombre de chiffres aprs la virgule
	 * @return array Un tableau associatif "value" => qui donne la mme valeur en simplifi et "unit" => l'unit de mesure
	 */
	static public function easyOctet($octet, $coma = 0){
		$unit = "o";
		if($octet >= 1000){
			$octet /= 1000;
			$unit = "Ko";
		}
		if($octet >= 1000){
			$octet /= 1000;
			$unit = "Mo";
		}
		if($octet >= 1000){
			$octet /= 1000;
			$unit = "Go";
		}
		return array("value"=>round($octet, $coma), "unit"=>$unit);
	}
	/*==================== FIN = METHODES PUBLIQUES = FIN ====================*/
	/*========================================================================*/
}
?>
