<?php if($apo->loged){ ?>
	<?php include dirname(__FILE__)."/../general/header.inc"; ?>
	<?php include dirname(__FILE__)."/../general/menu.inc"; ?>
	<div id="calendar">
		<?php include dirname(__FILE__)."/menu.inc"; ?>
		<div id="content">
			<h1><?php echo $apo->getText("button_addEvent"); ?></h1>
			<?php if(!empty($message)){ echo "<p>".$message."</p>"; } ?>
			<form action="<?php echo $apo->getLink("calendar_eventadd"); ?>" method="post">
				<fieldset>
					<legend><?php echo $apo->getText("calendar_event_details"); ?></legend>
					<ul>
						<li><label for="category"><?php echo $apo->getText("calendar_event_details_category"); ?></label><select name="category" id="category"><?php echo $formCategorySelectOptions; ?></select></li>
						<li><label for="title"><?php echo $apo->getText("calendar_event_details_title"); ?></label><input type="text" name="title" id="title" value="" size="40" /></li>
						<li><label for="description"><?php echo $apo->getText("calendar_event_details_description"); ?></label><textarea name="description" id="description" rows="5" cols="60"></textarea></li>
					</ul>
				</fieldset>
				<fieldset>
					<legend><?php echo $apo->getText("calendar_event_interval"); ?></legend>
					<ul>
						<li><label><?php echo $apo->getText("calendar_event_interval_start"); ?></label>
							<select name="startday"><?php echo $formDaySelectOptions; ?></select>
							<select name="startmonth"><?php echo $formMonthSelectOptions; ?></select>
							<select name="startyear"><?php echo $formYearSelectOptions; ?></select>
							&nbsp;&nbsp;
							<select name="starthour"><?php echo $formHourSelectOptions; ?></select>
							<select name="startminute"><?php echo $formMinuteSelectOptions; ?></select>
						</li>
						<li><label><?php echo $apo->getText("calendar_event_interval_end"); ?></label>
							<select name="endday"><?php echo $formDaySelectOptions; ?></select>
							<select name="endmonth"><?php echo $formMonthSelectOptions; ?></select>
							<select name="endyear"><?php echo $formYearSelectOptions; ?></select>
							&nbsp;&nbsp;
							<select name="endhour"><?php echo $formHourSelectOptions; ?></select>
							<select name="endminute"><?php echo $formMinuteSelectOptions; ?></select>
						</li>
					</ul>
				</fieldset>
				<fieldset>
					<legend><?php echo $apo->getText("calendar_event_repeat"); ?></legend>
					<ul>
						<li><label><?php echo $apo->getText("calendar_event_repeat_message1"); ?></label>
						<select name="repeatstep"><?php echo $formRepeatStepSelectOptions; ?></select>
						<select name="repeattype"><?php echo $formRepeatTypeSelectOptions; ?></select>
						<?php echo $apo->getText("calendar_event_repeat_message2"); ?>
						<select name="repeatendday"><?php echo $formDaySelectOptions; ?></select>
						<select name="repeatendmonth"><?php echo $formMonthSelectOptions; ?></select>
						<select name="repeatendyear"><?php echo $formYearSelectOptions; ?></select>
						</li>
						<li><label for="repeatendno"><?php echo $apo->getText("calendar_event_repeat_message3"); ?></label><input type="checkbox" name="repeatendno" id="repeatendno" /></li>
					</ul>
				</fieldset>
				<p>
					<input type="hidden" name="action" value="add" />
					<input type="submit" name="submit" value="<?php echo $apo->getText("button_add"); ?>" />
				</p>
			</form>
		</div>
	</div>
<?php } ?>