<?php if($apo->loged){ ?>
	<?php include dirname(__FILE__)."/../general/header.inc"; ?>
	<?php include dirname(__FILE__)."/../general/menu.inc"; ?>
	<div id="calendar">
		<?php include dirname(__FILE__)."/menu.inc"; ?>
		<div id="content">
			<h1><?php echo $apo->getText("button_edit"); ?> - <?php echo $title; ?></h1>
			<?php if(!empty($message)){ echo "<p>".$message."</p>"; } ?>
			<form action="<?php echo $apo->getLink("calendar_eventedit"); ?>" method="post">
				<fieldset>
					<legend><?php echo $apo->getText("calendar_event_details"); ?></legend>
					<ul>
						<li><label for="category"><?php echo $apo->getText("calendar_event_details_category"); ?></label><select name="category" id="category"><?php echo $formCategorySelectOptions; ?></select></li>
						<li><label for="title"><?php echo $apo->getText("calendar_event_details_title"); ?></label><input type="text" name="title" id="title" value="<?php echo $title; ?>" size="40" /></li>
						<li><label for="title"><?php echo $apo->getText("calendar_event_details_description"); ?></label><textarea name="description" id="description" rows="5" cols="60"><?php echo $description; ?></textarea></li>
					</ul>
				</fieldset>
				<fieldset>
					<legend><?php echo $apo->getText("calendar_event_interval"); ?></legend>
					<ul>
						<li><label><?php echo $apo->getText("calendar_event_interval_start"); ?></label>
							<select name="startday">
								<?php echo $formStartDaySelectOptions; ?>
							</select>
							<select name="startmonth">
								<?php echo $formStartMonthSelectOptions; ?>
							</select>
							<select name="startyear">
								<?php echo $formStartYearSelectOptions; ?>
							</select>
							&nbsp;&nbsp;
							<select name="starthour">
								<?php echo $formStartHourSelectOptions; ?>
							</select>
							<select name="startminute">
								<?php echo $formStartMinuteSelectOptions; ?>
							</select>
						</li>
						<li><label><?php echo $apo->getText("calendar_event_interval_end"); ?></label>
							<select name="endday">
								<?php echo $formEndDaySelectOptions; ?>
							</select>
							<select name="endmonth">
								<?php echo $formEndMonthSelectOptions; ?>
							</select>
							<select name="endyear">
								<?php echo $formEndYearSelectOptions; ?>
							</select>
							&nbsp;&nbsp;
							<select name="endhour">
								<?php echo $formEndHourSelectOptions; ?>
							</select>
							<select name="endminute">
								<?php echo $formEndMinuteSelectOptions; ?>
							</select>
						</li>
					</ul>
				</fieldset>
				<fieldset>
					<legend><?php echo $apo->getText("calendar_event_repeat"); ?></legend>
					<ul>
						<li>
							<label><?php echo $apo->getText("calendar_event_repeat_message1"); ?></label>
							<select name="repeatstep"><?php echo $formRepeatStepSelectOptions; ?></select>
							<select name="repeattype"><?php echo $formRepeatTypeSelectOptions; ?></select>
							<?php echo $apo->getText("calendar_event_repeat_message2"); ?>
							<select name="repeatendday"><?php echo $formRepeatEndDaySelectOptions; ?></select>
							<select name="repeatendmonth"><?php echo $formRepeatEndMonthSelectOptions; ?></select>
							<select name="repeatendyear"><?php echo $formRepeatEndYearSelectOptions; ?></select>
						</li>
						<li>
							<label><?php echo $apo->getText("calendar_event_repeat_message3"); ?></label><?php echo $formRepeatEndNo; ?>
						</li>
					</ul>
				</fieldset>
				<p>
					<input type="hidden" name="action" value="edit" />
					<input type="hidden" name="id" value="<?php echo $getId; ?>" />
					<input type="submit" name="submit" value="<?php echo $apo->getText("button_edit"); ?>" />
				</p>
			</form>
			<h1><?php echo $apo->getText("button_delete"); ?> - <?php echo $title; ?></h1>
			<form action="<?php echo $apo->getLink("calendar_eventedit"); ?>" method="post">
				<p>
					<input type="hidden" name="action" value="delete" />
					<input type="hidden" name="id" value="<?php echo $getId; ?>" />
					<input type="submit" name="submit" value="<?php echo $apo->getText("button_delete"); ?>" />
				</p>
			</form>
		</div>
	</div>
<?php } ?>