<?php if($apo->loged){ ?>
	<?php include dirname(__FILE__)."/../general/header.inc"; ?>
	<?php include dirname(__FILE__)."/../general/menu.inc"; ?>
	<div id="calendar">
		<?php include dirname(__FILE__)."/menu.inc"; ?>
		<div id="content">
			<?php echo $calendar_view->html; ?>
			<?php echo $calendarWeek_view->html; ?>
			<hr />
			<dl class="todos">
				<dt><?php echo $apo->getText("calendar_todos_list"); ?></dt>
				<dd>
					<dl>
						<?php if(count($todosList) > 0){ ?>
							<?php for($i=0; $i<count($todosList); $i++){ ?>
							<dt><a href="<?php echo $apo->getLink("calendar_todosedit".$todosList[$i]["id"]); ?>"><?php echo $todosList[$i]["title"]; ?></a></dt>
							<dd>
								<strong><?php echo $statusList[$todosList[$i]["status"]]; ?></strong> : <br />
								<?php echo $todosList[$i]["description"]; ?>
							</dd>
							<?php } ?>
						<?php }else{ ?>
							<dt><?php echo $apo->getText("calendar_todos_empty"); ?></dt>
						<?php } ?>
					</dl>
				</dd>
			</dl>
			<?php echo $calendarDay_view->html; ?>
			<ul class="legend"><?php echo $legend; ?></ul>
			<form action="<?php echo $apo->getLink("calendar_eventadd"); ?>" method="post">
				<p>
					<input type="hidden" name="year" value="<?php echo $calendar_view->year; ?>" />
					<input type="hidden" name="month" value="<?php echo $calendar_view->month; ?>" />
					<input type="hidden" name="day" value="<?php echo $calendar_view->day; ?>" />
					<input type="submit" name="submit" value="<?php echo $apo->getText("button_addEvent"); ?>" />
				</p>
			</form>
			<form action="<?php echo $apo->getLink("calendar"); ?>" method="post">
				<p>
					<select name="day"><?php echo $formDaySelectOptions; ?></select>
					<select name="month"><?php echo $formMonthSelectOptions; ?></select>
					<select name="year"><?php echo $formYearSelectOptions; ?></select>
					<input type="submit" name="submit" value="<?php echo $apo->getText("button_go"); ?>" />
				</p>
			</form>
		</div>
	</div>
<?php } ?>