<?php
if($apo->loged){
	$getId = FormUtils::getParam("id");
	if($getId !== false){
		include_once dirname(__FILE__)."/../general/functions_html.inc";
		include_once dirname(__FILE__)."/../calendar/functions.inc";
		
		// Récupération des données
		$apo->db->select($apo->dbPrefix."contacts", "*", "userId=".$apo->userId." AND id=".$getId);
		if($infos = $apo->db->fetch_array()){
			// le contact existe dans la base
			// échappement des caractères
			$o = array();
			while(list($key, $value) = each($infos)){
				$o[$key] = utf2html(htmlentities($value, ENT_QUOTES, "UTF-8"));
			}
			
			$infos = $o;
			
			// Génération des options
			$birthday_timestamp = strtotime($infos["birthday"]);
			$selectDay = "";
			for($i=1; $i<=31; $i++){
				$selectDay .= "<option value=\"".$i."\"";
				if($i == date("j", $birthday_timestamp)){
					$selectDay .= " selected=\"selected\"";
				}
				$selectDay .= ">".$i."</option>";
			}
			$selectMonth = "";
			for($i=1; $i<=12; $i++){
				$selectMonth .= "<option value=\"".$i."\"";
				if($i == date("n", $birthday_timestamp)){
					$selectMonth .= " selected=\"selected\"";
				}
				$selectMonth .= ">".$monthNames[$i - 1]."</option>";
			}
			$selectYear = "";
			for($i=1970; $i<=2020; $i++){
				$selectYear .= "<option value=\"".$i."\"";
				if($i == date("Y", $birthday_timestamp)){
					$selectYear .= " selected=\"selected\"";
				}
				$selectYear .= ">".$i."</option>";
			}
		}else{
			$apo->error = $apo->getText("error4");
		}
	}
}
?>