<?php
if($apo->loged){
	include_once dirname(__FILE__)."/../general/functions_html.inc";
	
	// Récupération des groupes de l'utilisateur
	$apo->db->select($apo->dbPrefix."users_groups", "groupId", "userId=".$apo->userId);
	$listGroups = array();
	while($row = $apo->db->fetch_array()){
		$listGroups[] = $row["groupId"];
	}
	
	// Récupération des utilisateurs dans ces groupes
	$listUsers = array();
	for($i=0; $i<count($listGroups); $i++){
		$apo->db->select(array($apo->dbPrefix."users_groups AS a", $apo->dbPrefix."users_infos AS b", $apo->dbPrefix."users AS c"), 
						array("c.id AS id", "c.name AS name", "b.email AS email", "b.website AS website", "b.level AS level"), 
						"a.groupId=".$listGroups[$i]." AND a.userId=b.userId AND a.userId=c.id", 
						null, 
						null, 
						array("c.name"=>"ASC"));
		while($row = $apo->db->fetch_array()){
			if($row["id"] != $apo->userId){
				$o = array();
				$o["id"] = (int) $row["id"];
				// échappement des caractères pour l'affichage
				$o["name"] = utf2html(htmlentities($row["name"], ENT_QUOTES, "UTF-8"));
				if($o["level"] > 0){
					$o["email"] = utf2html(htmlentities($row["email"], ENT_QUOTES, "UTF-8"));
					$o["website"] = utf2html(htmlentities($row["website"], ENT_QUOTES, "UTF-8"));
				}
				
				$listUsers[] = $o;
			}
		}
	}
}
?>