<?php
if($apo->loged && $apo->userAdmin){	
	
	$getId = FormUtils::getParam("id");
	if($getId !== false){
		// Récupération de l'article
		include_once dirname(__FILE__)."/../general/functions_wiki.inc";
		include_once dirname(__FILE__)."/../general/functions_html.inc";
		$apo->db->select(array($apo->dbPrefix."news"." AS a", $apo->dbPrefix."news_categories"." AS b", $apo->dbPrefix."users"." AS c"), 
						array("b.id AS categoryId", 
								"b.nameClass AS category", 
								"a.title AS title", 
								"a.date AS date", 
								"a.message AS message", 
								"c.name AS userName", 
								"c.id AS userId"), 
						"a.id=".$getId." AND a.categoryId=b.id AND a.userId=c.id");
		if($newsInfos = $apo->db->fetch_array()){
			$newsInfos["title"] = utf2html(htmlentities($newsInfos["title"], ENT_QUOTES, "UTF-8"));
			$newsInfos["message"] = utf2html(htmlentities($newsInfos["message"], ENT_QUOTES, "UTF-8"));
			$newsInfos["messagePreview"] = wiki_format($newsInfos["message"]);
			if($getCategory){
				// Mode preview
				// Les infos sont récupérées par action
				// Ca va écraser $newsInfos
				$newsInfos["categoryId"] = $getCategory;
				$newsInfos["title"] = $getTitle;
				$newsInfos["message"] = $getMessage;
				$newsInfos["messagePreview"] = $getMessagePreview;
			}
			
			// Récupération de toutes les catégories possibles pour les articles
			$apo->db->select($apo->dbPrefix."news_categories", "*");
			$listCategories = array();
			while($row = $apo->db->fetch_array()){
				$listCategories[] = $row;
				if($row["id"] == $newsInfos["categoryId"]){
					$newsInfos["category"] = $row["nameClass"];
				}
			}
		}else{
			// ID Invalide
			$apo->error = $apo->getText("error4");
		}
	}
}
?>