<?php
if($apo->loged && $apo->userAdmin){
	if($_POST["action"] == "update"){
		$stopUpdate = false;
		
		// Récupération de la version
		$file = $apo->serverRoot."/version";
		$getVersion = @file_get_contents($file);
		if($getVersion === false){
			$stopUpdate = true;
			$apo->error = $apo->getText("error7")." : ".$file;
		}
		// Récupération de la liste des releases
		$file = $apo->updateUrl."/releases.xml";
		$releases = @simplexml_load_file($file);
		if($releases === false){
			$stopUpdate = true;
			$apo->error = $apo->getText("error8")." (".$file.")";
		}
		// Recherche des releases à installer
		if(!$stopUpdate){
			$releasesFile = array();
			foreach ($releases->children() as $nextRelease) {
				if($nextRelease["version"] > $getVersion){
					$releasesFile[] = (string) $nextRelease["file"];
				}
			}
			if(count($releasesFile) == 0){
				$stopUpdate = true;
				$apo->message = $apo->getText("message0");
			}
		}
		// Pour chaque release, exécuter et installer ce qu'il faut
		if(!$stopUpdate){
			reset($releasesFile);
			foreach($releasesFile as $file){
				// Récupération du contenu du fichier de release
				$release = @simplexml_load_file($apo->updateUrl."/".$file);
				if($release === false){
					// Erreur de lecture du fichier de release
					$stopUpdate = true;
					$apo->error = $apo->getText("error8")." (".$apo->updateUrl."/".$file.")";
					break;
				}else{
					// On peut parser le fichier de release
					foreach ($release->children() as $nextTag => $nextStep) {
						switch((string) $nextTag){
							// Un script à exécuter
							case "script":
								$result = @eval((string) $nextStep);
								if($result === false){
									$stopUpdate = true;
									$apo->error = $apo->getText("error8")." (".$apo->updateUrl."/".$file.")";
								}
								break;
							// Un contenu à mettre dans un fichier
							case "content":
								$content = (string) $nextStep;
								$target = $apo->serverRoot."/".$nextStep["target"];
								$targetFile = @fopen($target, "w");
								if($targetFile === false){
									$stopUpdate = true;
									$apo->error = $apo->getText("error7")." : ".$target;
								}else{
									fwrite($targetFile, $content);
									fclose($targetFile);
								}
								break;
							// Un fichier à mettre à jour
							case "file":
								$src = $apo->updateUrl."/files/".$nextStep["src"];
								$target = $apo->serverRoot."/".$nextStep["target"];
								$srcContent = @file_get_contents($src);
								if($srcContent === false){
									$stopUpdate = true;
									$apo->error = $apo->getText("error8")." (".$src.")";
								}else{
									$targetFile = @fopen($target, "w");
									if($targetFile === false){
										$stopUpdate = true;
										$apo->error = $apo->getText("error7")." : ".$target;
									}else{
										fwrite($targetFile, $srcContent);
										fclose($targetFile);
									}
								}
								break;
						}
					}
				}
				if($stopUpdate){
					break;
				}
			}
		}
		// Mise à jour terminée
		if(!$stopUpdate){
			$apo->message = $apo->getText("message0");
		}
	}
}
?>