<?php
if($apo->loged && $apo->userAdmin){
	// Récupération des groupes
	include dirname(__FILE__)."/groups_script.inc";
	
	// Pour chaque groupe, on récupère la liste des utilisateurs
	$listAll = array();
	for($i=0; $i<count($listGroups); $i++){
		$tmp = array();
		$tmp["groupName"] = $listGroups[$i]["name"];
		$tmp["groupDescription"] = $listGroups[$i]["description"];
		$tmp["groupId"] = $listGroups[$i]["id"];
		$tmp["users"] = array();
		$apo->db->select(array($apo->dbPrefix."users_groups"." AS a", $apo->dbPrefix."users"." AS b"), 
						array("b.id AS id", "b.name AS name", "b.lastLogin AS lastLogin"), 
						"a.groupId=".$listGroups[$i]["id"]." AND a.userId=b.id");
		while($row = $apo->db->fetch_array()){
			$o = $row;
			$gmTimestamp = gmmktime();
			$localTimestamp = mktime();
			$timestamp = strtotime($o["lastLogin"]);
			$o["lastLogin"] = date("d/m/Y H:i:s", $timestamp - $localTimestamp + $gmTimestamp);
			$tmp["users"][] = $o;
		}
		
		$listAll[] = $tmp;
	}
	
	// Liste des utilisateurs dans aucun groupe
	// SELECT * FROM apo_users LEFT JOIN apo_users_groups ON apo_users.id=apo_users_groups.userId WHERE ISNULL(apo_users_groups.groupId)
	$apo->db->query("SELECT ".$apo->dbPrefix."users.id, ".$apo->dbPrefix."users.name FROM ".$apo->dbPrefix."users LEFT JOIN ".$apo->dbPrefix."users_groups ON ".$apo->dbPrefix."users.id=".$apo->dbPrefix."users_groups.userId WHERE ISNULL(".$apo->dbPrefix."users_groups.groupId)");
	$listUsersLost = array();
	while($row = $apo->db->fetch_array()){
		$listUsersLost[] = $row;
	}
	
	// Liste des utilisateurs
	$apo->db->select($apo->dbPrefix."users", "*");
	$listUsers = array();
	while($row = $apo->db->fetch_array()){
		$listUsers[] = $row;
	}
}
?>