<?php
if($apo->loged){
	// Récupération des groupes de l'utilisateur
	$apo->db->select(array($apo->dbPrefix."groups"." AS a", $apo->dbPrefix."users_groups"." AS b"), 
					array("a.id AS id", "a.name AS name", "a.description AS description"), 
					"b.userId=".$apo->userId." AND a.id=b.groupId");
	$listGroups = array();
	$listGroupsId = array();
	while($row = $apo->db->fetch_array()){
		$listGroups[] = $row;
		$listGroupsId[] = $row["id"];
	}
	
	if(count($listGroups) > 0){
		// Choix du groupe
		if(isset($_GET["id"])){
			$getId = $_GET["id"];
			if(in_array($getId, $listGroupsId)){
				for($i=0; $i<count($listGroups); $i++){
					if($listGroups[$i]["id"] == $getId){
						$groupChoice = $i;
					}
				}
			}else{
				$groupChoice = 0;
			}
		}else{
			$groupChoice = 0;
		}
		$groupId = $listGroups[$groupChoice]["id"];
		$groupName = htmlentities($listGroups[$groupChoice]["name"]);
		$groupDescription = htmlentities($listGroups[$groupChoice]["description"]);
		
		
		// On vérifie si le XML existe
		include_once dirname(__FILE__)."/functions.inc";
		if(!file_exists(dirname(__FILE__)."/datas/group".$groupId.".xml")){
		
			// Récupération des favoris de l'utilisateur
			$apo->db->select($apo->dbPrefix."bookmarks_groups", "*", "groupId=".$groupId, null, null, array("name"=>"ASC"));
			$listFolders = array();
			$listLinks = array();
			while($row = $apo->db->fetch_array()){
				if($row["type"] == "folder"){
					$listFolders[] = $row;
				}else{
					$listLinks[] = $row;
				}
			}
			
			// Il n'existe pas, donc on le crée
			$xmlContent = bookmarks_generateXml($listFolders, $listLinks);
			
			$handle = fopen(dirname(__FILE__)."/datas/group".$groupId.".xml", 'w+');
			fwrite ($handle, $xmlContent);
			fclose($handle);
		}
		
		// Génération de l'affichage
		$content = bookmarks_parseXMLAdmin(dirname(__FILE__)."/datas/group".$groupId.".xml", "group");
		
		// Génère les <option> pour affichage <select>
		$selectFolders = bookmarks_generateSelectFolder(dirname(__FILE__)."/datas/group".$groupId.".xml");
		
		// On vérifie si l'utilisateur a choisi un dossier ou un lien à modifier
		if($_POST["action"] == "updaterequest" && isset($_POST["targetid"])){
			$getTargetId = $_POST["targetid"];
			$apo->db->select($apo->dbPrefix."bookmarks_groups", "*", "id=".$getTargetId);
			$targetInfos = $apo->db->fetch_array();
			$targetInfos["id"] = $targetInfos["id"];
			$targetInfos["name"] = htmlentities($targetInfos["name"]);
			$targetInfos["url"] = htmlentities($targetInfos["url"]);
		}
	}
}
?>