<?php
if($apo->loged){
	include_once dirname(__FILE__)."/functions.inc";	
	
	// Récupération des variables
	$y = FormUtils::getParam("year");
	$m = FormUtils::getParam("month");
	$d = FormUtils::getParam("day");
	
	$year = (int) ($y !== false)?$y:date("Y");
	$month = (int) ($m !== false)?$m:date("n");
	$day = (int) ($d !== false)?$d:date("j");
	
	// Génération des options
	$formDaySelectOptions = "";
	for($i=1; $i<=31; $i++){
		$formDaySelectOptions .= "<option value=\"".$i."\"";
		if($i == $day){
			$formDaySelectOptions .= " selected=\"selected\"";
		}
		$formDaySelectOptions .= ">".$i."</option>";
	}
	$formMonthSelectOptions = "";
	for($i=1; $i<=12; $i++){
		$formMonthSelectOptions .= "<option value=\"".$i."\"";
		if($i == $month){
			$formMonthSelectOptions .= " selected=\"selected\"";
		}
		$formMonthSelectOptions .= ">".$monthNames[$i - 1]."</option>";
	}
	$formYearSelectOptions = "";
	for($i=1970; $i<=2020; $i++){
		$formYearSelectOptions .= "<option value=\"".$i."\"";
		if($i == $year){
			$formYearSelectOptions .= " selected=\"selected\"";
		}
		$formYearSelectOptions .= ">".$i."</option>";
	}
	$formHourSelectOptions = "";
	for($i=0; $i<24; $i++){
		$formHourSelectOptions .= "<option value=\"".$i."\"";
		if($i == 9){
			$formHourSelectOptions .= " selected=\"selected\"";
		}
		$formHourSelectOptions .= ">".$hourNames[$i]."</option>";
	}
	$formMinuteSelectOptions = 	"<option value=\"0\">00</option>";
	$formMinuteSelectOptions .= "<option value=\"15\">15</option>";
	$formMinuteSelectOptions .= "<option value=\"30\">30</option>";
	$formMinuteSelectOptions .= "<option value=\"45\">45</option>";
	
	$formCategorySelectOptions = "";
	for($i=1; $i<=9; $i++){
		$formCategorySelectOptions .= "<option value=\"".$i."\">".$apo->getText("calendar_event_category".$i)."</option>";
	}
	
	$formRepeatStepSelectOptions = "";
	for($i=1; $i<=30; $i++){
		$formRepeatStepSelectOptions .= "<option value=\"".$i."\">".$i."</option>";
	}
	
	$formRepeatTypeSelectOptions = "";
	for($i=0; $i<=3; $i++){
		$formRepeatTypeSelectOptions .= "<option value=\"".$i."\">".$apo->getText("calendar_event_repeat_type".$i)."</option>";
	}
}
?>