<?php
if($apo->loged){
	include_once dirname(__FILE__)."/../general/functions_html.inc";
	include_once dirname(__FILE__)."/functions.inc";	
	
	// Récupération des paramètres
	$getId = FormUtils::getParam("id");
	
	if($getId !== false){		
		// Récupération des informations de l'événement
		$apo->db->select($apo->dbPrefix."calendar", "*", "userId=".$apo->userId." AND id=".$getId);
		if($infos = $apo->db->fetch_array()){
			$category = $infos["category"];
			$title = utf2html(htmlentities($infos["title"], ENT_QUOTES, "UTF-8"));
			$description = utf2html(htmlentities($infos["description"], ENT_QUOTES, "UTF-8"));
			$startYear = date("Y", strtotime($infos["dateStart"]));
			$startMonth = date("n", strtotime($infos["dateStart"]));
			$startDay = date("j", strtotime($infos["dateStart"]));
			$startHour = date("G", strtotime($infos["dateStart"]));
			$startMinute = date("i", strtotime($infos["dateStart"]));
			$endYear = date("Y", strtotime($infos["dateEnd"]));
			$endMonth = date("n", strtotime($infos["dateEnd"]));
			$endDay = date("j", strtotime($infos["dateEnd"]));
			$endHour = date("G", strtotime($infos["dateEnd"]));
			$endMinute = date("i", strtotime($infos["dateEnd"]));
			$repeatType = $infos["repeatType"];
			$repeatStep = $infos["repeatStep"];
			$repeatEndYear = date("Y", strtotime($infos["repeatEnd"]));
			$repeatEndMonth = date("n", strtotime($infos["repeatEnd"]));
			$repeatEndDay = date("j", strtotime($infos["repeatEnd"]));
			$repeatEndNo = $infos["repeatEndNo"];
			
			// Génération des options
			// start
			$formStartDaySelectOptions = "";
			for($i=1; $i<=31; $i++){
				$formStartDaySelectOptions .= "<option value=\"".$i."\"";
				if($i == $startDay){
					$formStartDaySelectOptions .= " selected=\"selected\"";
				}
				$formStartDaySelectOptions .= ">".$i."</option>";
			}
			$formStartMonthSelectOptions = "";
			for($i=1; $i<=12; $i++){
				$formStartMonthSelectOptions .= "<option value=\"".$i."\"";
				if($i == $startMonth){
					$formStartMonthSelectOptions .= " selected=\"selected\"";
				}
				$formStartMonthSelectOptions .= ">".$monthNames[$i - 1]."</option>";
			}
			$formStartYearSelectOptions = "";
			for($i=1970; $i<=2020; $i++){
				$formStartYearSelectOptions .= "<option value=\"".$i."\"";
				if($i == $startYear){
					$formStartYearSelectOptions .= " selected=\"selected\"";
				}
				$formStartYearSelectOptions .= ">".$i."</option>";
			}
			$formStartHourSelectOptions = "";
			for($i=0; $i<24; $i++){
				$formStartHourSelectOptions .= "<option value=\"".$i."\"";
				if($i == $startHour){
					$formStartHourSelectOptions .= " selected=\"selected\"";
				}
				$formStartHourSelectOptions .= ">".$hourNames[$i]."</option>";
			}
			$formStartMinuteSelectOptions = "<option value=\"0\">00</option>";
			$formStartMinuteSelectOptions .= "<option value=\"15\"";
			if($startMinute >= 15 && $startMinute < 30){ 
				$formStartMinuteSelectOptions .= " selected=\"selected\"";
			}
			$formStartMinuteSelectOptions .= ">15</option>";
			$formStartMinuteSelectOptions .= "<option value=\"30\"";
			if($startMinute >= 30 && $startMinute < 45){ 
				$formStartMinuteSelectOptions .= " selected=\"selected\"";
			}
			$formStartMinuteSelectOptions .= ">30</option>";
			$formStartMinuteSelectOptions .= "<option value=\"45\"";
			if($startMinute >= 45){ 
				$formStartMinuteSelectOptions .= " selected=\"selected\"";
			}
			$formStartMinuteSelectOptions .= ">45</option>";
			
			//end
			$formEndDaySelectOptions = "";
			for($i=1; $i<=31; $i++){
				$formEndDaySelectOptions .= "<option value=\"".$i."\"";
				if($i == $endDay){
					$formEndDaySelectOptions .= " selected=\"selected\"";
				}
				$formEndDaySelectOptions .= ">".$i."</option>";
			}
			$formEndMonthSelectOptions = "";
			for($i=1; $i<=12; $i++){
				$formEndMonthSelectOptions .= "<option value=\"".$i."\"";
				if($i == $endMonth){
					$formEndMonthSelectOptions .= " selected=\"selected\"";
				}
				$formEndMonthSelectOptions .= ">".$monthNames[$i - 1]."</option>";
			}
			$formEndYearSelectOptions = "";
			for($i=1970; $i<=2020; $i++){
				$formEndYearSelectOptions .= "<option value=\"".$i."\"";
				if($i == $endYear){
					$formEndYearSelectOptions .= " selected=\"selected\"";
				}
				$formEndYearSelectOptions .= ">".$i."</option>";
			}
			$formEndHourSelectOptions = "";
			for($i=0; $i<24; $i++){
				$formEndHourSelectOptions .= "<option value=\"".$i."\"";
				if($i == $endHour){
					$formEndHourSelectOptions .= " selected=\"selected\"";
				}
				$formEndHourSelectOptions .= ">".$hourNames[$i]."</option>";
			}
			$formEndMinuteSelectOptions = "<option value=\"0\">00</option>";
			$formEndMinuteSelectOptions .= "<option value=\"15\"";
			if($endMinute >= 15 && $endMinute < 30){ 
				$formEndMinuteSelectOptions .= " selected=\"selected\"";
			}
			$formEndMinuteSelectOptions .= ">15</option>";
			$formEndMinuteSelectOptions .= "<option value=\"30\"";
			if($endMinute >= 30 && $endMinute < 45){ 
				$formEndMinuteSelectOptions .= " selected=\"selected\"";
			}
			$formEndMinuteSelectOptions .= ">30</option>";
			$formEndMinuteSelectOptions .= "<option value=\"45\"";
			if($endMinute >= 45){ 
				$formEndMinuteSelectOptions .= " selected=\"selected\"";
			}
			$formEndMinuteSelectOptions .= ">45</option>";
			
			// category
			$formCategorySelectOptions = "";
			for($i=1; $i<=9; $i++){
				$formCategorySelectOptions .= "<option value=\"".$i."\"";
				if($category == $i){ 
					$formCategorySelectOptions .= " selected=\"selected\"";
				}
				$formCategorySelectOptions .= ">".$apo->getText("calendar_event_category".$i)."</option>";
			}
			// repeat
			$formRepeatStepSelectOptions = "";
			for($i=1; $i<=30; $i++){
				$formRepeatStepSelectOptions .= "<option value=\"".$i."\"";
				if($i == $repeatStep){
					$formRepeatStepSelectOptions .= " selected=\"selected\"";
				}
				$formRepeatStepSelectOptions .= ">".$i."</option>";
			}
			$formRepeatTypeSelectOptions = "";
			for($i=0; $i<=3; $i++){
				$formRepeatTypeSelectOptions .= "<option value=\"".$i."\"";
				if($i == $repeatType){
					$formRepeatTypeSelectOptions .= " selected=\"selected\"";
				}
				$formRepeatTypeSelectOptions .= ">".$apo->getText("calendar_event_repeat_type".$i)."</option>";
			}
			$formRepeatEndDaySelectOptions = "";
			for($i=1; $i<=31; $i++){
				$formRepeatEndDaySelectOptions .= "<option value=\"".$i."\"";
				if($i == $repeatEndDay){
					$formRepeatEndDaySelectOptions .= " selected=\"selected\"";
				}
				$formRepeatEndDaySelectOptions .= ">".$i."</option>";
			}
			$formRepeatEndMonthSelectOptions = "";
			for($i=1; $i<=12; $i++){
				$formRepeatEndMonthSelectOptions .= "<option value=\"".$i."\"";
				if($i == $repeatEndMonth){
					$formRepeatEndMonthSelectOptions .= " selected=\"selected\"";
				}
				$formRepeatEndMonthSelectOptions .= ">".$monthNames[$i - 1]."</option>";
			}
			$formRepeatEndYearSelectOptions = "";
			for($i=1970; $i<=2020; $i++){
				$formRepeatEndYearSelectOptions .= "<option value=\"".$i."\"";
				if($i == $repeatEndYear){
					$formRepeatEndYearSelectOptions .= " selected=\"selected\"";
				}
				$formRepeatEndYearSelectOptions .= ">".$i."</option>";
			}
			$formRepeatEndNo = "<input type=\"checkbox\" name=\"repeatendno\"";
			if($repeatEndNo == "on"){
				$formRepeatEndNo .= " checked=\"checked\"";
			}
			$formRepeatEndNo .= " />";
		}else{
			// ID Invalide
			$apo->error = $apo->getText("error4");
		}
	}
}
?>