<?php
if($apo->loged){
	if($_POST["action"] == "export"){
		include_once dirname(__FILE__)."/functions.inc";
	
		// Requête
		$apo->db->select($apo->dbPrefix."contacts", "*", "userId=".$apo->userId, null, null, array("name"=>"ASC"));
		$contactsList = array();
		while($row = $apo->db->fetch_array()){
			$contactsList[] = $row;
		}
		while(list($key, $row) = each($contactsList)){
			// On vérifie s'il existe un membre ayant le même surnom
			$apo->db->select($apo->dbPrefix."users", "*", "name='".$row["nickName"]."'");
			$ok =  $apo->db->fetch_array();
			if($ok !== false){
				$apo->db->select($apo->dbPrefix."users_infos", "*", "userId=".$ok["id"]);
				$apoUser = $apo->db->fetch_array();
				// On vérifie que l'utilisateur a le droit de voir le profil
				$memberLevel = (int) $apoUser["level"];
				switch($memberLevel){
					default:
					case 0:
						// privé
						unset($apoUser);
						break;
					case 1:
						// groupe
						// Il faut vérifier que l'utilisateur fait partie du même groupe
						$apo->db->select($apo->dbPrefix."users_groups", "groupId", "userId=".$apoUser["userId"]);
						$listGroup1 = $apo->db->fetch_array();
						$apo->db->select($apo->dbPrefix."users_groups", "groupId", "userId=".$apo->userId);
						$listGroup2 = $apo->db->fetch_array();
						$listIntersect = array_intersect($listGroup1, $listGroup2);
						if(count($listIntersect) == 0){
							unset($apoUser);
						}
						break;
					case 2:
						// public
				}
			}else{
				unset($apoUser);
			}
			
			// Total
			$o = array();
			while(list($k, $value) = each($row)){
				if(empty($value) && !empty($apoUser[$k]) || ($k == "birthday" && $value == "1970-01-01")){
					// Il existe un membre et le champ est vide
					$o[$k] = $apoUser[$k];
				}else{
					$o[$k] = $value;
				}
			}
			
			// affectation
			$contactsList[$key] = $o;
			
			// Génération au format LDIF
			$contactsList[$key]["ldif"] = formatLDIF($contactsList[$key]);
		}
		
		header("Content-Type: text/ldif; charset=UTF-8");
		header('Content-Disposition: attachment; filename="contacts.ldif"');
		reset($contactsList);
		while(list($key, $row) = each($contactsList)){
			echo $contactsList[$key]["ldif"]."\n";
		}
		exit;
	}
}
?>