<?php
	function iso2html($text){
		$trans = array(
				"\x80" => "&euro;",
				"\x82" => "&sbquo;",
				"\x83" => "&fnof;",
				"\x84" => "&bdquo;",
				"\x85" => "&hellip;",
				"\x86" => "&dagger;",
				"\x87" => "&Dagger;",
				"\x88" => "&circ;",
				"\x89" => "&permil;",
				"\x8a" => "&Scaron;",
				"\x8b" => "&lsaquo;",
				"\x8c" => "&OElig;",
				"\x91" => "&lsquo;", 
				"\x92" => "&rsquo;", 
				"\x93" => "&ldquo;", 
				"\x94" => "&rdquo;", 
				"\x95" => "&bull;", 
				"\x96" => "&ndash;", 
				"\x97" => "&mdash;", 
				"\x98" => "&tilde;", 
				"\x99" => "&trade;", 
				"\x9a" => "&scaron;", 
				"\x9b" => "&rsaquo;", 
				"\x9c" => "&oelig;",
				"\x9f" => "&Yuml;"
				);
		return strtr($text, $trans);
	}
	
	function utf2html($text){
		$trans = array(
				"\xe2\x82\xac" 	=> "&euro;",
				"\xe2\x80\x9a" 	=> "&sbquo;",
				"\xc6\x9" 		=> "&fnof;",
				"\xe2\x80\x9e" 	=> "&bdquo;",
				"\xe2\x80\xa6" 	=> "&hellip;",
				"\xe2\x80\xa0" 	=> "&dagger;",
				"\xe2\x80\xa1" 	=> "&Dagger;",
				"\xcb\x86" 		=> "&circ;",
				"\xe2\x80\xb0" 	=> "&permil;",
				"\xc5\xa0" 		=> "&Scaron;",
				"\xe2\x80\xb9" 	=> "&lsaquo;",
				"\xc5\x92" 		=> "&OElig;",
				"\xe2\x80\x98" 	=> "&lsquo;", 
				"\xe2\x80\x99" 	=> "&rsquo;", 
				"\xe2\x80\x9c" 	=> "&ldquo;", 
				"\xe2\x80\x9d" 	=> "&rdquo;", 
				"\xe2\x80\xa2" 	=> "&bull;", 
				"\xe2\x80\x93" 	=> "&ndash;", 
				"\xe2\x80\x94" 	=> "&mdash;", 
				"\xcb\x9c" 		=> "&tilde;", 
				"\xe2\x84\xa2" 	=> "&trade;", 
				"\xc5\xa1" 		=> "&scaron;", 
				"\xe2\x80\xba" 	=> "&rsaquo;", 
				"\xc5\x93" 		=> "&oelig;",
				"\xc5\xb8" 		=> "&Yuml;"
				);
		return strtr($text, $trans);
	}
?>