<?php if($apo->loged){ ?>
	<?php include dirname(__FILE__)."/../general/header.inc"; ?>
	<?php include dirname(__FILE__)."/../general/menu.inc"; ?>
	<div id="help">
		<div id="content" class="panel">
			<div class="panelHeader"><div class="panelIcon"></div></div>
			<div class="panelContent">
				<h1>Sommaire</h1>
				<ol>
					<li><a href="#faq1">APO, qu'est-ce que c'est ?</a></li>
					<li><a href="#faq2">APO, comment s'est arrivé ?</a></li>
					<li><a href="#faq3">Le profil</a></li>
					<li><a href="#faq4">Les articles</a></li>
					<li><a href="#faq5">La syntaxe wiki</a></li>
					<li><a href="#faq6">Les favoris</a></li>
					<li><a href="#faq7">Le carnet d'adresses</a></li>
					<li><a href="#faq8">Le calendrier</a></li>
					<li><a href="#faq9">L'agrégateur RSS</a></li>
					<li><a href="#faq10">Le Wiki de groupe</a></li>
				</ol>
				<h1>Aide</h1>
				<dl>
					<dt><a name="faq1"></a>1. APO, qu'est-ce que c'est ?</dt>
					<dd>
						<p>
						<acronym title="Assistant Personnel Online">APO</acronym> est l'acronyme de <strong>A</strong>ssistant <strong>P</strong>ersonnel <strong>O</strong>nline.
						C'est un site qui centralise toutes sortes d'outils en ligne pour se faciliter la vie.
						Des outils pour ceux qui ont plusieurs postes et/ou qui bougent souvent. 
						Ou simplement pour avoir tout en ligne.
						</p>
						<p>
						Par exemple, avoir des favoris en ligne permet de n'importe quel poste d'avoir toujours accès à ses liens (au boulot ou chez des amis).
						</p>
					</dd>
					<dt><a name="faq2"></a>2. APO, comment s'est arrivé ?</dt>
					<dd>
						<p>
						Au départ, je me créais des petits outils perso et j'essayais de les rendre installables facilement pour ceux qui veulent.
						Donc je mettais ca en téléchargement et j'essayais de bien documenter. C'était un peu chiant.
						Et puis c'est pas pratique pour ceux qui n'ont pas d'hébergement. C'est comme ca que j'me suis dit que j'pouvais centraliser tout ca.
						Il y a plein d'avantages, comme mettre à jour tout en même temps.
						</p>
						<p>
						Après, j'me suis dit que ca serait pas mal d'interconnecter les gens aussi. Ils ont des outils autonomes, mais ces outils peuvent s'étendre en groupe.
						Comme par exemple les favoris persos et commun, ou le calendrier perso ou commun.
						</p>
						<p>
						J'ai un peu peur que ca devienne une usine à gaz, on verra bien ^^
						</p>
					</dd>
					<dt><a name="faq3"></a>3. Le profil</dt>
					<dd>
						<p>
						Toutes les informations vous concernant ont plusieurs visibilitées possibles :
						</p>
						<ul>
							<li>Privé : Personne ne peut les voir à part vous (ca sert à rien en fait <acronym title="Laughing Out Loud = Mort de rire">lol</acronym>)</li>
							<li>Groupe : Seul les personnes de vos groupes peuvent les voir (par défaut)</li>
							<li>Public : Tous les utilisateurs de <acronym title="Assistant Personnel Online">APO</acronym> peuvent les voir</li>
						</ul>
						<p>
						Concernant le mot de passe, il est crypté. Donc même moi je ne le connais pas, mais je peux le changer.
						</p>
					</dd>
					<dt><a name="faq4"></a>4. Les articles</dt>
					<dd>
						<p>
						Tous les articles affichés sont des articles des membres de vos groupes.
						C'est-à-dire qu'il n'y a pas les articles des groupes dont vous ne faites pas partie, normal.
						Donc si vous quittez un groupe, vous ne verrez plus les articles du groupe.
						</p>
						<p>
						Les articles ne sont pas modifiables. C'est pour cela que j'ai mis une confirmation et une prévisualisation avant l'enregistrement de l'article.
						Ils restent modifiables par moi bien sûr. Mais il faut faire attention avant de poster.
						Ces articles peuvent alimenter un fil RSS, je ne voudrais pas qu'ils changent.
						Pour toutes sortes d'ajouts ou de rectifications mineures, il y a les commentaires.
						</p>
						<p>
						Pour les commentaires, merci de rester dans le sujet de l'article.
						</p>
					</dd>
					<dt><a name="faq5"></a>5. La syntaxe wiki</dt>
					<dd>
						<p>
						C'est la mise en forme des pauvres (sans vrai éditeur de mise en forme).
						Les tags wiki disponibles pour l'instant sont :
						</p>
						<ul>
							<li><code>[[url]]</code> pour créer un lien</li>
							<li><code>[[url|titre]]</code> pour créer un lien avec un titre</li>
							<li><code>[[url|titre|langue]]</code> pour créer un lien avec un titre et une langue (fr, en, de, es, it, pt, jp, kr, cn)</li>
							<li><code>**texte**</code> pour mettre en gras</li>
							<li><code>__texte__</code> pour souligner</li>
							<li><code>''texte''</code> pour mettre en italic</li>
							<li><code>--texte--</code> pour barrer</li>
							<li><code>??APO|Assistant Personnel Online??</code> pour afficher un acronyme</li>
							<li><code>((http://www.perdu.com/mon_image.gif))</code> pour afficher une image</li>
							<li>En tapant un lien qui commence par <strong>http://</strong>, ça fait un lien automatiquement.</li>
						</ul>
						<p>
						Il existe d'autres mises en forme un peu spéciales :
						</p>
						<ul>
							<li>
								Une liste non-ordonnée (il faut 2 espaces avant les étoiles)<br />
								<pre>  * ligne 1
  * ligne 2
  * ligne 3</pre>
							</li>
							<li>
								Une liste ordonnée (il faut 2 espaces avant les dièses)<br />
								<pre>  # ligne 1
  # ligne 2
  # ligne 3</pre>
							</li>
							<li>
								Du texte à chasse fixe (il faut revenir à la ligne après les 4 dièses)<br />
								<pre>####
mon texte ici
  avec des espaces
et des retours de ligne
####</pre>
							</li>
							<li>
								Une citation (il faut revenir à la ligne après les 4 étoiles)<br />
								<pre>****
ma citation ici
****</pre>
							</li>
						</ul>
						<p>
						J'ai aussi commencé à mettre des trucs perso, je classe ca ici parce que c'est de la mise en forme :
						</p>
						<ul>
							<li><code>[hxh]</code> pour afficher une image qui représente Hunter X Hunter</li>
							<li><code>[naruto]</code> pour afficher une image qui représente Naruto</li>
							<li><code>[dn]</code> pour afficher une image qui représente Death Note</li>
						</ul>
					</dd>
					<dt><a name="faq6"></a>6. Les favoris</dt>
					<dd>
						<p>
						Ca sert à avoir des liens internet en ligne. 
						Donc quand on change d'ordinateur, avec une connexion internet, on peut toujours garder ses favoris.
						Il est aussi possible de vérifier la totalité des liens (merci à <a href="http://scripts.incutio.com/httpclient">incutio</a>) s'ils sont toujours valide.
						Attention, cette opération ne vérifie pas si le lien a changé.
						Des erreurs peuvent apparaître si le site est lent de la détente <acronym title="Laughing Out Loud = Mort de rire">lol</acronym>.
						</p>
						<p>
						Dans vos préférences, vous pouvez choisir comment ouvrir les liens de vos favoris :
						</p>
						<ul>
							<li>Normal : En cliquant sur le lien, le contenu va s'afficher dans la fenêtre courante</li>
							<li>En popup : En cliquant sur le lien, le contenu va s'afficher dans une nouvelle fenêtre (par défaut)</li>
						</ul>
						<p>
						Vos favoris sont accessibles par tout le monde à l'adresse : http://apo.neolao.com/<strong>pseudo</strong>/favoris
						</p>
						<p>
						Les favoris de groupe sont des favoris communs à chaque groupe. 
						Le fonctionnement est identique aux favoris personnels, sauf que tout ceux du groupe peuvent le modifier.
						</p>
					</dd>
					<dt><a name="faq7"></a>7. Le carnet d'adresses</dt>
					<dd>
						<p>
						Comme tous les carnets d'adresse, on enregistre sa liste avec nom, prénom, téléphone, email etc.
						J'espère pouvoir importer et exporter aux formats les plus connus.
						</p>
						<p>
						Si un des contacts existe sur <acronym title="Assistant Personnel Online">APO</acronym>, on peut le synchroniser avec lui.
						Si un contact est synchronisé, lorsqu'il change son numéro de téléphone par exemple, il sera automatiquement modifié dans le carnet d'adresse.
						</p>
						<p>
						Les anniversaires sont rappelés dans le calendrier.
						</p>
						<p>
						Certaines fonctionnalitées ne sont pas visibles si vous êtes sur Internet Explorer.
						</p>
					</dd>
					<dt><a name="faq8"></a>8. Le calendrier</dt>
					<dd>
						<p>
						Calendrier classique. 
						L'avantage d'une gestion numérique, c'est la possibilité d'avoir une périodicité dans les événemennts.
						Et l'avantage qu'il soit centralisé avec d'autres calendrier, c'est d'avoir un calendrier commun les personnes du même groupe.
						</p>
						<p>
						Certaines fonctionnalitées ne sont pas visibles si vous êtes sur Internet Explorer.
						</p>
					</dd>
					<dt><a name="faq9"></a>9. L'agrégateur RSS</dt>
					<dd>
						<p>
						Un agrégateur RSS permet de suivre les nouveautés des sites qui fournissent des fils RSS.
						On parle aussi de syndication RSS. En général, tous les Blog ont un fil RSS.
						</p>
						<p>
						Par exemple, sur le site <a href="http://www.liberation.fr">http://www.liberation.fr</a> tout en bas de la page, il y a un lien vers une syndication.<br />
						On obtient ce lien : <a href="http://www.liberation.fr/rss.inc">http://www.liberation.fr/rss.php</a>.<br />
						C'est ce lien qui est utilise par <acronym title="Assistant Personnel Online">APO</acronym> pour rechercher les nouveaux articles.
						</p>
						<p>
						Tous les articles sont archivés sur <acronym title="Assistant Personnel Online">APO</acronym>.
						</p>
					</dd>
					<dt><a name="faq10"></a>10. Le Wiki de groupe</dt>
					<dd> </dd>
				</dl>
			</div>
		</div>
	</div>
<?php } ?>