<?php
if($apo->loged){
	
	// Récupération de tous les commentaires de l'article
	$getId = FormUtils::getParam("id");
	if($getId !== false){
		include_once dirname(__FILE__)."/../general/functions_wiki.inc";
		include_once dirname(__FILE__)."/../general/functions_date.inc";
		include_once dirname(__FILE__)."/../general/functions_html.inc";
		// Récupération de l'article
		$apo->db->select(array($apo->dbPrefix."news"." AS a", $apo->dbPrefix."news_categories"." AS b", $apo->dbPrefix."users"." AS c"), 
						array("b.nameClass AS category", 
								"a.title AS title", 
								"a.date AS date", 
								"a.message AS message", 
								"c.name AS userName", 
								"c.id AS userId"), 
						"a.id=".$getId." AND a.categoryId=b.id AND a.userId=c.id");
		$newsInfos = $apo->db->fetch_array();
		$newsInfos["date"] = formatDate($newsInfos["date"]);
		$newsInfos["title"] = utf2html(htmlentities($newsInfos["title"], ENT_QUOTES, "UTF-8"));
		$newsInfos["message"] = utf2html(htmlentities($newsInfos["message"], ENT_QUOTES, "UTF-8"));
		$newsInfos["message"] = wiki_format($newsInfos["message"]);
		
		// Récupération des commentaires
		$apo->db->select(array($apo->dbPrefix."news_comments"." AS a", $apo->dbPrefix."users"." AS b"), 
						array("a.date AS date", "a.message AS message", "b.name AS userName"), 
						"newsId=".$getId." AND a.userId=b.id", 
						null, 
						null, 
						array("a.date"=>"ASC"));
		$listComments = array();
		while($row = $apo->db->fetch_array()){
			$listComments[] = $row;
		}
		for($i=0; $i<count($listComments); $i++){
			$listComments[$i]["date"] = formatDate($listComments[$i]["date"]);
			$listComments[$i]["message"] = utf2html(htmlentities($listComments[$i]["message"], ENT_QUOTES, "UTF-8"));
			$listComments[$i]["message"] = wiki_format($listComments[$i]["message"]);
		}
	}
}
?>