<?php
if($apo->loged){
	// Désactivation de l'affichage des erreurs (pour magpie, on sait jamais)
	ini_set('display_errors', 0);
	
	// Inclusion de magpie
	require_once dirname(__FILE__)."/magpie/rss_fetch.inc";
	
	// Définition du répertoire de cache
	define('MAGPIE_CACHE_DIR', dirname(__FILE__).'/cache');
		
	if(isset($_POST["action"])){
		$getAction = $_POST["action"];
		
		switch($getAction){
			case "add":
				if(isset($_POST["url"]) && isset($_POST["name"])){
					$getURL = $_POST["url"];
					$getName = $_POST["name"];
					
					if(empty($getName)){
						$o = fetch_rss($getURL);
						$getName = $o->channel["title"];
					}
					
					$apo->db->insert($apo->dbPrefix."rss", 
									array("userId", "url", "name"), 
									array($apo->userId, "'".$getURL."'", "'".$getName."'"));
				}
				break;
			case "edit":
				if(isset($_POST["id"])){
					$getId = $_POST["id"];
					
					$apo->db->select($apo->dbPrefix."rss", "*", "id=".$getId);
					$editRss = $apo->db->fetch_array();
					$editRss["name"] = htmlentities($editRss["name"]);
					$editRss["url"] = htmlentities($editRss["url"]);
				}
				break;
			case "delete":
				if(isset($_POST["id"])){
					$getId = $_POST["id"];
					
					$apo->db->delete($apo->dbPrefix."rss", "id=".$getId);
				}
				break;
			case "update":
				if(isset($_POST["id"]) && isset($_POST["name"]) && isset($_POST["url"])){
					$getId = $_POST["id"];
					$getURL = $_POST["url"];
					$getName = utf8_decode($_POST["name"]);
					
					if(empty($getName)){
						$o = fetch_rss($getURL);
						$getName = $o->channel["title"];
					}
					
					$apo->db->update($apo->dbPrefix."rss", 
									array("url", "name"), 
									array("'".$getURL."'", "'".$getName."'"), 
									"id=".$getId);
				}
				break;
		}
	}
}
?>